Bug 1731141 - New client machine is not getting temporary virt-who sku subscription
Summary: New client machine is not getting temporary virt-who sku subscription
Keywords:
Status: NEW
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Candlepin
Version: 6.5.0
Hardware: All
OS: All
high
high with 1 vote vote
Target Milestone: Unspecified
Assignee: Barnaby Court
QA Contact: jcallaha
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-18 12:26 UTC by raju kumar
Modified: 2020-02-28 07:42 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-13 16:07:53 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description raju kumar 2019-07-18 12:26:14 UTC
Description of problem:

New client machine/Freshly provisioned client machine is not getting temporary virt-who sku subscription even though the Hypervisor is having VDC Subscription attached to it. Here also, we have multiple conditions-

1. If a machine is registered using blank activation key and auto-attach set to true,  Openshift Subscription will be attached to the client insted of virt-who subscription. We do have this Bugzilla already filled for this issue- 
[Bug- https://bugzilla.redhat.com/show_bug.cgi?id=1549253]

2. If a machine is registered using the activation-key [containing all the guest-of virt-who sku] and auto-attach set to Yes, In that case the system is not subscribed. See below-

[root@raju ~]# subscription-manager register --org="Example" --activationkey="Guest" --force
Unregistering from: sat64.lab.box:443/rhsm
The system with UUID 6c9d03e8-27a9-4096-b380-da9a844c08a8 has been unregistered
All local data removed
The system has been registered with ID: 7d6408f8-c3a6-4ed6-a760-27c7bc5b937b
The registered system name is: raju.lab.box
Installed Product Current Status:
Product Name: Red Hat Enterprise Linux Server
Status:       Not Subscribed

Unable to find available subscriptions for all your installed products.

3. If a machine is registered using the activation-key [containing all the guest-of virt-who sku] and auto-attach set to No, In that case, it throws below error-

[root@raju ~]# subscription-manager register --org="Example" --activationkey="Guest" --force
Unregistering from: sat64.lab.box:443/rhsm
The system with UUID 7d6408f8-c3a6-4ed6-a760-27c7bc5b937b has been unregistered
All local data removed
HTTP error (400 - Bad Request): None of the subscriptions on the activation key were available for attaching.

- Client is having 69.pem in all the above condition.

Version-Release number of selected component (if applicable):

- satellite-6.4.3-2.el7sat.noarch and virt-who-0.22.5-1.el7.noarch

- satellite-6.5.0-11.el7sat.noarch and virt-who-0.22.5-1.el7.noarch

How reproducible:

Always

Steps to Reproduce:

1. Configure virt-who on satellite 6.4/6.5 server.
2. Now create a test activation-key with all the guest-of virt-who skus and auto-attach set to Yes.
3. Now register a fresh client to satellite server using the test activation-key.It will give below error/status-

~~
Status:       Not Subscribed

Unable to find available subscriptions for all your installed products.
~~

Actual results:

It is not able to get the temperory guset-of Virt-who subscription attached to it.

Expected results:

It should get the temperory guset-of Virt-who subscription attached to it.

Comment 3 jcallaha 2019-07-19 15:11:20 UTC
Raju, were the hosts you are registering guests of the hypervisor you're getting the guest subs from?

Comment 4 raju kumar 2019-07-21 11:11:08 UTC
Hi Jake,

Thanks for looking into this. I believe that new guest VMs should get the temperory guest-of-virt-who sku subscription from satellite server as the Hypervisor on top of which the guest is running is Registered to satellite and is Fully subscribed by Virt-who Subscription.

Also, if we run the virt-who service on the satellite server, the guest-host mapping is reported to satellite and the guest VM gets fully subscribed after that. 

So, the issue here is, VM is not getting temperoriy subscribed [it should get temperorily subscribed], and is getting fully subscribed once the guest-host mapping is reported to satellite server.

Please let me know if more information is needed from my end.

Comment 8 William Poteat 2019-08-08 15:16:07 UTC
Raju,

Does the pool exist? I assume that it does because you need the pool ID for the activation key. Please confirm that you are using the pool ID of the unmapped guest pool and not the physical main pool.

Comment 12 roarora 2019-08-29 20:56:24 UTC
Another user is affected by the similar behaviour  : 

Subscriptions in the Manifest

MCT3718   Red Hat Satellite Infrastructure Subscription
RH00002   Red Hat Enterprise Linux for Virtual Datacenters, Standard 
RH00001   Red Hat Enterprise Linux for Virtual Datacenters, Premium
RH00798   Red Hat Developer Subscription

The premium VDC is attached to the Hypervisor and "Guests of virt-who" pool for it exists

Situation when a new system is built on the hypervisor : 

> using Blank Activation Key, Auto Attach yes            ===>     It gets  "Red Hat Developer Subscription"

> using Activation key having Guests of virt-who     
  subscription, Auto Attach yes                          ===>     It gets  no subscription,  Status:   Not Subscribed

> using Activation key having Guests of virt-who     
  subscription, Auto Attach No                           ===>     It gets  no subscription,  Status:   Not Subscribed

> using Blank Activation Key, Auto Attach yes
Set service level in Activation Key as Premium           ===>     It gets  "Red Hat Satellite Infrastructure Subscription"

> Run auto attach on client :                            ===>     It gets  "Red Hat Developer Subscription"

There seems no way to get the temporary subscription which should be attached till systems is reported.

Comment 16 Barnaby Court 2020-01-03 16:37:41 UTC
@wpoteat, Are you able to duplicate with sku's defined in comment 12? Is there other information needed to duplicate this issue?

Comment 17 William Poteat 2020-01-07 14:27:12 UTC
The client (guest) you are creating:

What product certificates does it have? Just 69.pem?
The temporary subscriptions that appear from the use of the VDC subscriptions use either RH00049 or RH00050.
In this case, only having 69.pem, you will not get one of those by auto attaching.

Also note that you will have to use the temporary pool [for the correct host system] on an activation key for it to be used. Using the base physical pool does not work for guest systems.

Comment 18 Chris Snyder 2020-02-13 16:07:53 UTC
Unfortunately we are unable to solve this issue without the information requested above in comment 17.
As that request has been waiting for a month, I am closing this issue.

If anyone who would like this fixed has the necessary data, please reopen the bug with the requested information and we can resume work on this issue.


Note You need to log in before you can comment on or make changes to this bug.